import dotenv
import logging
import os
import subprocess

from tornado.ioloop import IOLoop
from tornado.options import parse_command_line

env = os.environ.__getitem__


def execute(arguments, autostrip=False, stderr=subprocess.DEVNULL):
    logging.debug("Executing: %s" % " ".join(arguments))
    p = subprocess.Popen(
        arguments,
        stdout=subprocess.PIPE,
        stderr=stderr
    )
    result = p.stdout.read()
    if autostrip:
        result = result.strip()
    return result


def bootstrap(callback=None):
    envfile = os.path.join(os.getcwd(), '.env')
    dotenv.read_dotenv(envfile)
    parse_command_line()
    if callback is not None:
        IOLoop.instance().run_sync(callback)
