from setuptools import setup
import abb

setup(
    name="abb",
    version=abb.__version__,
    packages=['abb'],
    install_requires=[
        'pyld',
        'rdflib',
        'sparqltools',
        'tornado',
    ],
    author="Juraj Hájovský",
    author_email="juraj@hajovsky.sk",
    description="A non-blocking Application Backend Boilerplate (Tornado, SPARQLTools and PyLD)",
    license="MIT",
    keywords="api backend boilerplate rest restful tornado sparql json-ld",
    url="https://github.com/hajovsky/abb",
    classifiers=[
        "Development Status :: 3 - Alpha",
        "Intended Audience :: Developers",
        "License :: OSI Approved :: MIT License",
        "Programming Language :: Python :: 3.4",
        "Topic :: Database",
        "Topic :: Internet :: WWW/HTTP :: HTTP Servers",
    ]
)
